/*
 * $Id$
 */

package org.apache.maven.continuum.web.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class BuildDefinitionSummary implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field id
     */
    private int id = 0;

    /**
     * Field projectId
     */
    private int projectId = 0;

    /**
     * Field projectGroupId
     */
    private int projectGroupId = 0;

    /**
     * Field goals
     */
    private String goals;

    /**
     * Field arguments
     */
    private String arguments;

    /**
     * Field buildFile
     */
    private String buildFile;

    /**
     * Field isBuildFresh
     */
    private boolean isBuildFresh = false;

    /**
     * Field isDefault
     */
    private boolean isDefault = false;

    /**
     * Field scheduleId
     */
    private int scheduleId = 0;

    /**
     * Field scheduleName
     */
    private String scheduleName;

    /**
     * Field from
     */
    private String from;

    /**
     * Field profileName
     */
    private String profileName;

    /**
     * Field projectName
     */
    private String projectName;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Get arguments for build definition
     */
    public String getArguments()
    {
        return this.arguments;
    } //-- String getArguments() 

    /**
     * Get goals for build definition
     */
    public String getBuildFile()
    {
        return this.buildFile;
    } //-- String getBuildFile() 

    /**
     * Get source of build definition, project or project group lvl
     */
    public String getFrom()
    {
        return this.from;
    } //-- String getFrom() 

    /**
     * Get goals for build definition
     */
    public String getGoals()
    {
        return this.goals;
    } //-- String getGoals() 

    /**
     * Get id of the build definition
     */
    public int getId()
    {
        return this.id;
    } //-- int getId() 

    /**
     * Get name of the profile for the build definition
     */
    public String getProfileName()
    {
        return this.profileName;
    } //-- String getProfileName() 

    /**
     * Get project group id of the project group with the build
     * definition
     */
    public int getProjectGroupId()
    {
        return this.projectGroupId;
    } //-- int getProjectGroupId() 

    /**
     * Get project id of the project containing the build definition
     */
    public int getProjectId()
    {
        return this.projectId;
    } //-- int getProjectId() 

    /**
     * Get if project lvl, then the name of the project using the
     * definition
     */
    public String getProjectName()
    {
        return this.projectName;
    } //-- String getProjectName() 

    /**
     * Get id of the schedule for build definition
     */
    public int getScheduleId()
    {
        return this.scheduleId;
    } //-- int getScheduleId() 

    /**
     * Get name of the schedule for build definition
     */
    public String getScheduleName()
    {
        return this.scheduleName;
    } //-- String getScheduleName() 

    /**
     * Get if the build is to be smoked and checked back out from
     * the scm each build
     */
    public boolean isIsBuildFresh()
    {
        return this.isBuildFresh;
    } //-- boolean isIsBuildFresh() 

    /**
     * Get if the build definition is used in default cases
     */
    public boolean isIsDefault()
    {
        return this.isDefault;
    } //-- boolean isIsDefault() 

    /**
     * Set arguments for build definition
     * 
     * @param arguments
     */
    public void setArguments(String arguments)
    {
        this.arguments = arguments;
    } //-- void setArguments(String) 

    /**
     * Set goals for build definition
     * 
     * @param buildFile
     */
    public void setBuildFile(String buildFile)
    {
        this.buildFile = buildFile;
    } //-- void setBuildFile(String) 

    /**
     * Set source of build definition, project or project group lvl
     * 
     * @param from
     */
    public void setFrom(String from)
    {
        this.from = from;
    } //-- void setFrom(String) 

    /**
     * Set goals for build definition
     * 
     * @param goals
     */
    public void setGoals(String goals)
    {
        this.goals = goals;
    } //-- void setGoals(String) 

    /**
     * Set id of the build definition
     * 
     * @param id
     */
    public void setId(int id)
    {
        this.id = id;
    } //-- void setId(int) 

    /**
     * Set if the build is to be smoked and checked back out from
     * the scm each build
     * 
     * @param isBuildFresh
     */
    public void setIsBuildFresh(boolean isBuildFresh)
    {
        this.isBuildFresh = isBuildFresh;
    } //-- void setIsBuildFresh(boolean) 

    /**
     * Set if the build definition is used in default cases
     * 
     * @param isDefault
     */
    public void setIsDefault(boolean isDefault)
    {
        this.isDefault = isDefault;
    } //-- void setIsDefault(boolean) 

    /**
     * Set name of the profile for the build definition
     * 
     * @param profileName
     */
    public void setProfileName(String profileName)
    {
        this.profileName = profileName;
    } //-- void setProfileName(String) 

    /**
     * Set project group id of the project group with the build
     * definition
     * 
     * @param projectGroupId
     */
    public void setProjectGroupId(int projectGroupId)
    {
        this.projectGroupId = projectGroupId;
    } //-- void setProjectGroupId(int) 

    /**
     * Set project id of the project containing the build
     * definition
     * 
     * @param projectId
     */
    public void setProjectId(int projectId)
    {
        this.projectId = projectId;
    } //-- void setProjectId(int) 

    /**
     * Set if project lvl, then the name of the project using the
     * definition
     * 
     * @param projectName
     */
    public void setProjectName(String projectName)
    {
        this.projectName = projectName;
    } //-- void setProjectName(String) 

    /**
     * Set id of the schedule for build definition
     * 
     * @param scheduleId
     */
    public void setScheduleId(int scheduleId)
    {
        this.scheduleId = scheduleId;
    } //-- void setScheduleId(int) 

    /**
     * Set name of the schedule for build definition
     * 
     * @param scheduleName
     */
    public void setScheduleName(String scheduleName)
    {
        this.scheduleName = scheduleName;
    } //-- void setScheduleName(String) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
