/*
 * $Id$
 */

package org.apache.maven.continuum.web.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class GroupSummary implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field id
     */
    private int id = -1;

    /**
     * Field name
     */
    private String name;

    /**
     * Field groupId
     */
    private String groupId;

    /**
     * Field description
     */
    private String description;

    /**
     * Field numProjects
     */
    private int numProjects = 0;

    /**
     * Field projectType
     */
    private String projectType;

    /**
     * Field statusMessage
     */
    private String statusMessage;

    /**
     * Field nextScheduledBuild
     */
    private String nextScheduledBuild;

    /**
     * Field projects
     */
    private java.util.List projects;

    /**
     * Field numSuccesses
     */
    private int numSuccesses = -1;

    /**
     * Field numFailures
     */
    private int numFailures = -1;

    /**
     * Field numErrors
     */
    private int numErrors = -1;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Method addProject
     * 
     * @param projectSummary
     */
    public void addProject(ProjectSummary projectSummary)
    {
        if ( !(projectSummary instanceof ProjectSummary) )
        {
            throw new ClassCastException( "GroupSummary.addProjects(projectSummary) parameter must be instanceof " + ProjectSummary.class.getName() );
        }
        getProjects().add( projectSummary );
    } //-- void addProject(ProjectSummary) 

    /**
     * Get description of the project group
     */
    public String getDescription()
    {
        return this.description;
    } //-- String getDescription() 

    /**
     * Get maven groupId of the project group
     */
    public String getGroupId()
    {
        return this.groupId;
    } //-- String getGroupId() 

    /**
     * Get internal continuum group id
     */
    public int getId()
    {
        return this.id;
    } //-- int getId() 

    /**
     * Get name of the project group
     */
    public String getName()
    {
        return this.name;
    } //-- String getName() 

    /**
     * Get timestamp for the next scheduled build
     */
    public String getNextScheduledBuild()
    {
        return this.nextScheduledBuild;
    } //-- String getNextScheduledBuild() 

    /**
     * Get number of errored builds in the project group
     */
    public int getNumErrors()
    {
        return this.numErrors;
    } //-- int getNumErrors() 

    /**
     * Get number of failed builds in the project group
     */
    public int getNumFailures()
    {
        return this.numFailures;
    } //-- int getNumFailures() 

    /**
     * Get the number of projects in the project group
     */
    public int getNumProjects()
    {
        return this.numProjects;
    } //-- int getNumProjects() 

    /**
     * Get number of successful builds in the project group
     */
    public int getNumSuccesses()
    {
        return this.numSuccesses;
    } //-- int getNumSuccesses() 

    /**
     * Get the type of project, maven2/maven1/ant/shell
     */
    public String getProjectType()
    {
        return this.projectType;
    } //-- String getProjectType() 

    /**
     * Method getProjects
     */
    public java.util.List getProjects()
    {
        if ( this.projects == null )
        {
            this.projects = new java.util.ArrayList();
        }
        
        return this.projects;
    } //-- java.util.List getProjects() 

    /**
     * Get a status message like, (building project X)
     */
    public String getStatusMessage()
    {
        return this.statusMessage;
    } //-- String getStatusMessage() 

    /**
     * Method removeProject
     * 
     * @param projectSummary
     */
    public void removeProject(ProjectSummary projectSummary)
    {
        if ( !(projectSummary instanceof ProjectSummary) )
        {
            throw new ClassCastException( "GroupSummary.removeProjects(projectSummary) parameter must be instanceof " + ProjectSummary.class.getName() );
        }
        getProjects().remove( projectSummary );
    } //-- void removeProject(ProjectSummary) 

    /**
     * Set description of the project group
     * 
     * @param description
     */
    public void setDescription(String description)
    {
        this.description = description;
    } //-- void setDescription(String) 

    /**
     * Set maven groupId of the project group
     * 
     * @param groupId
     */
    public void setGroupId(String groupId)
    {
        this.groupId = groupId;
    } //-- void setGroupId(String) 

    /**
     * Set internal continuum group id
     * 
     * @param id
     */
    public void setId(int id)
    {
        this.id = id;
    } //-- void setId(int) 

    /**
     * Set name of the project group
     * 
     * @param name
     */
    public void setName(String name)
    {
        this.name = name;
    } //-- void setName(String) 

    /**
     * Set timestamp for the next scheduled build
     * 
     * @param nextScheduledBuild
     */
    public void setNextScheduledBuild(String nextScheduledBuild)
    {
        this.nextScheduledBuild = nextScheduledBuild;
    } //-- void setNextScheduledBuild(String) 

    /**
     * Set number of errored builds in the project group
     * 
     * @param numErrors
     */
    public void setNumErrors(int numErrors)
    {
        this.numErrors = numErrors;
    } //-- void setNumErrors(int) 

    /**
     * Set number of failed builds in the project group
     * 
     * @param numFailures
     */
    public void setNumFailures(int numFailures)
    {
        this.numFailures = numFailures;
    } //-- void setNumFailures(int) 

    /**
     * Set the number of projects in the project group
     * 
     * @param numProjects
     */
    public void setNumProjects(int numProjects)
    {
        this.numProjects = numProjects;
    } //-- void setNumProjects(int) 

    /**
     * Set number of successful builds in the project group
     * 
     * @param numSuccesses
     */
    public void setNumSuccesses(int numSuccesses)
    {
        this.numSuccesses = numSuccesses;
    } //-- void setNumSuccesses(int) 

    /**
     * Set the type of project, maven2/maven1/ant/shell
     * 
     * @param projectType
     */
    public void setProjectType(String projectType)
    {
        this.projectType = projectType;
    } //-- void setProjectType(String) 

    /**
     * Set 
     * 
     * @param projects
     */
    public void setProjects(java.util.List projects)
    {
        this.projects = projects;
    } //-- void setProjects(java.util.List) 

    /**
     * Set a status message like, (building project X)
     * 
     * @param statusMessage
     */
    public void setStatusMessage(String statusMessage)
    {
        this.statusMessage = statusMessage;
    } //-- void setStatusMessage(String) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
